
## Install from npm

```bash
# Update project npm config to refer to correct registry for the @doc-utils scope
echo '@doc-utils:registry=https://gitea.jbrumond.me/api/packages/doc-utils/npm/' >> ./.npmrc

# Install package for programatic use
npm install --save @doc-utils/docs2website

# Install globally for CLI usage
npm install --global @doc-utils/docs2website
```



## Building from source

```bash
npm run tsc
```


## Command Line Use

```
docs2website <config file>
```

### Config File

See [./sample-config.yaml](./sample-config.yaml)


