
import { createHash } from 'crypto';

export function hash_str(str: string) {
	const hash = createHash('sha512');
	hash.update(str);
	return hash.digest('base64');
}

export function hash_obj(obj: any) {
	// todo: use something more stable
	const str = JSON.stringify(obj);
	return hash_str(str);
}
